GenericSignatureFormatError (Java Platform SE 8 )
Keywords: java.lang.reflect.GenericSignatureFormatError class
Date: 2016-07-28

compact1, compact2, compact3
java.lang.reflect

## Class GenericSignatureFormatError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.ClassFormatError
        - - java.lang.reflect.GenericSignatureFormatError

- All Implemented Interfaces:
    Serializable

      public class GenericSignatureFormatError
      extends ClassFormatError

  Thrown when a syntactically malformed signature attribute is encountered by a reflective method that needs to interpret the generic signature information for a type, method or constructor.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericSignatureFormatError()` Constructs a new `GenericSignatureFormatError`.
    `GenericSignatureFormatError(String message)` Constructs a new `GenericSignatureFormatError` with the specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericSignatureFormatError

          public GenericSignatureFormatError()

      Constructs a new `GenericSignatureFormatError`.

    - #### GenericSignatureFormatError

          public GenericSignatureFormatError(String message)

      Constructs a new `GenericSignatureFormatError` with the specified message.
      Parameters:
        `message` - the detail message, may be `null`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.